Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class AdaBoostTrainer

    java.lang.Object
      cc.mallet.classify.ClassifierTrainer<AdaBoost>
          cc.mallet.classify.AdaBoostTrainer

    public class AdaBoostTrainer

extends ClassifierTrainer<AdaBoost>

This version of AdaBoost should be used only for binary classification. Use AdaBoost.M2 for multi-class problems.

Robert E. Schapire. "A decision-theoretic generalization of on-line learning and an application to boosting" In Journal of Computer and System Sciences http://www.cs.princeton.edu/~schapire/uncompress-papers.cgi/FreundSc95.ps

Author:
  Andrew McCallum mccallum@cs.umass.edu

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.classify.ClassifierTrainer
`ClassifierTrainer.ByActiveLearning<C extends Classifier>, ClassifierTrainer.ByIncrements<C extends Classifier>, ClassifierTrainer.ByInstanceIncrements<C extends Classifier>, ClassifierTrainer.ByOptimization<C extends Classifier>, ClassifierTrainer.Factory<CT extends ClassifierTrainer<? extends Classifier>>`

Field Summary

Fields inherited from class cc.mallet.classify.ClassifierTrainer
`finishedTraining, validationSet`

Constructor Summary
`AdaBoostTrainer(ClassifierTrainer weakLearner)`
`AdaBoostTrainer(ClassifierTrainer weakLearner, int numRounds)`

Method Summary
`AdaBoost` | `getClassifier()`
`AdaBoost` | `train(InstanceList trainingList)` Boosting method that resamples instances using their weights

Methods inherited from class cc.mallet.classify.ClassifierTrainer
`getValidationInstances, isFinishedTraining, setValidationInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaBoostTrainer

    public AdaBoostTrainer(ClassifierTrainer weakLearner,
                           int numRounds)

### AdaBoostTrainer

    public AdaBoostTrainer(ClassifierTrainer weakLearner)

Method Detail

### getClassifier

    public AdaBoost getClassifier()

  Specified by:
    `getClassifier` in class `ClassifierTrainer<AdaBoost>`

### train

    public AdaBoost train(InstanceList trainingList)

  Boosting method that resamples instances using their weights

  Specified by:
    `train` in class `ClassifierTrainer<AdaBoost>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD